"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = void 0;

var React = _interopRequireWildcard(require("react"));

var _Flag = _interopRequireDefault(require("../assets/Flag"));

var _Football = _interopRequireDefault(require("../assets/Football"));

var _Lightbulb = _interopRequireDefault(require("../assets/Lightbulb"));

var _Pizza = _interopRequireDefault(require("../assets/Pizza"));

var _Plane = _interopRequireDefault(require("../assets/Plane"));

var _Smile = _interopRequireDefault(require("../assets/Smile"));

var _Trees = _interopRequireDefault(require("../assets/Trees"));

var _Ban = _interopRequireDefault(require("../assets/Ban"));

var _Users = _interopRequireDefault(require("../assets/Users"));

var _Search = _interopRequireDefault(require("../assets/Search"));

var _Close = _interopRequireDefault(require("../assets/Close"));

var _Clock = _interopRequireDefault(require("../assets/Clock"));

var _exhaustiveTypeCheck = require("../utils/exhaustiveTypeCheck");

var _QuestionMark = _interopRequireDefault(require("../assets/QuestionMark"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Icon = ({
  iconName,
  isActive,
  normalColor,
  activeColor
}) => {
  const color = isActive ? activeColor : normalColor;

  switch (iconName) {
    case 'Smile':
      return /*#__PURE__*/React.createElement(_Smile.default, {
        fill: color
      });

    case 'Trees':
      return /*#__PURE__*/React.createElement(_Trees.default, {
        fill: color
      });

    case 'Pizza':
      return /*#__PURE__*/React.createElement(_Pizza.default, {
        fill: color
      });

    case 'Plane':
      return /*#__PURE__*/React.createElement(_Plane.default, {
        fill: color
      });

    case 'Football':
      return /*#__PURE__*/React.createElement(_Football.default, {
        fill: color
      });

    case 'Lightbulb':
      return /*#__PURE__*/React.createElement(_Lightbulb.default, {
        fill: color
      });

    case 'Flag':
      return /*#__PURE__*/React.createElement(_Flag.default, {
        fill: color
      });

    case 'Ban':
      return /*#__PURE__*/React.createElement(_Ban.default, {
        fill: color
      });

    case 'Users':
      return /*#__PURE__*/React.createElement(_Users.default, {
        fill: color
      });

    case 'Search':
      return /*#__PURE__*/React.createElement(_Search.default, {
        fill: color
      });

    case 'Close':
      return /*#__PURE__*/React.createElement(_Close.default, {
        fill: color
      });

    case 'Clock':
      return /*#__PURE__*/React.createElement(_Clock.default, {
        fill: color
      });

    case 'QuestionMark':
      return /*#__PURE__*/React.createElement(_QuestionMark.default, {
        fill: color
      });

    default:
      (0, _exhaustiveTypeCheck.exhaustiveTypeCheck)(iconName);
      return null;
  }
};

exports.Icon = Icon;
//# sourceMappingURL=Icon.js.map