"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deepMerge = void 0;

const objectKeys = obj => Object.keys(obj);

const deepMerge = (source, additional) => {
  const result = { ...source
  };
  objectKeys(additional).forEach(key => {
    if (key && additional[key] && typeof additional[key] === 'object') {
      // @ts-ignore
      result[key] = deepMerge(source[key], additional[key]);
    } else {
      // @ts-ignore
      result[key] = additional[key];
    }
  });
  return result;
};

exports.deepMerge = deepMerge;
//# sourceMappingURL=deepMerge.js.map